## hubzero-trac-mysqlauthz 0.8.3

=== Makefile ===
# Copyright 2005-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

install:
	python setup.py install
	rm -fr HubzeroPlugin.egg-info build dist

clean:
	rm -fr HubzeroPlugin.egg-info build dist

## hubzero-trac-mysqlauthz 1.0.2

=== Makefile ===
# @package      hubzero-trac-mysqlauthz
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.
#

install:
	python setup.py install
	rm -fr HubzeroPlugin.egg-info build dist

clean:
	rm -fr HubzeroPlugin.egg-info build dist

## hubzero-trac-mysqlauthz 1.1.4

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # @package      hubzero-trac-mysqlauthz
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010 Purdue University. All rights reserved.
+# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010 Purdue University
-# All rights reserved.
+# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -23,7 +22,7 @@
 # You should have received a copy of the GNU Lesser General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# HUBzero is a registered trademark of Purdue University.
+# HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
 install:

## hubzero-trac-mysqlauthz 1.1.5

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-trac-mysqlauthz
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-trac-mysqlauthz 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-trac-mysqlauthz
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -25,9 +25,19 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
+default all build:
+	@true
+
 install:
-	python setup.py install
-	rm -fr HubzeroPlugin.egg-info build dist
+	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
+
+
+configure:
+	@true
 
 clean:
-	rm -fr HubzeroPlugin.egg-info build dist
+	rm -fr build
+	rm -fr dist
+	rm -fr HubzeroPlugin.egg-info 
+	rm -fr hubzero_trac_mysqlauthz.egg-info
+	rm -fr hubzeroplugin.egg-info

## hubzero-trac-mysqlauthz 1.2.1

=== Makefile ===
--- 
+++ 
@@ -25,14 +25,14 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-default all build:
+all:
 	@true
 
 install:
 	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
 
 
-configure:
+postinst:
 	@true
 
 clean:
@@ -41,3 +41,5 @@
 	rm -fr HubzeroPlugin.egg-info 
 	rm -fr hubzero_trac_mysqlauthz.egg-info
 	rm -fr hubzeroplugin.egg-info
+
+.PHONY: all install postinst clean

## hubzero-trac-mysqlauthz 1.3.0

=== Makefile ===
--- 
+++ 
@@ -31,6 +31,8 @@
 install:
 	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
 
+uninstall:
+	@true
 
 postinst:
 	@true
@@ -42,4 +44,4 @@
 	rm -fr hubzero_trac_mysqlauthz.egg-info
 	rm -fr hubzeroplugin.egg-info
 
-.PHONY: all install postinst clean
+.PHONY: all install uninstall postinst clean

## hubzero-trac-mysqlauthz 2.1.0-1+deb8

=== debian/changelog ===
hubzero-trac-mysqlauthz (2.1.0-1+deb8) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 04 Apr 2018 09:13:50 -0400

hubzero-trac-mysqlauthz (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 30 Aug 2015 19:57:23 -0400

hubzero-trac-mysqlauthz (1.3.0-1) unstable; urgency=low

  * update version for diego repository

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 30 Aug 2015 19:49:55 -0400

hubzero-trac-mysqlauthz (1.2.1-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Sep 2014 09:54:23 -0400

hubzero-trac-mysqlauthz (1.2.0-1) unstable; urgency=low

  * Fix python version dependencies for Debian 7 package compatibility 
  * Update copyright statements
  * switch setup.py to setuptools
  * begin transition to hubzero.trac.mysqlauth namespace (will finish in 1.3)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Aug 2014 16:57:15 -0400

hubzero-trac-mysqlauthz (1.1.6-1) unstable; urgency=low

  * relax regex for matching configuration.php variables

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 27 Aug 2013 22:40:09 -0400

hubzero-trac-mysqlauthz (1.1.5-1) unstable; urgency=low

  * tidy package

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Aug 2013 18:17:14 -0400

hubzero-trac-mysqlauthz (1.1.4-1) unstable; urgency=low

  * relax dependencies for temporary wheezy compatiblity 
  * Update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 12 Jun 2013 13:45:45 -0400

hubzero-trac-mysqlauthz (1.1.3-1) unstable; urgency=low

  * use all caps DEFAULT section in site conf file

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 12:04:51 -0400

hubzero-trac-mysqlauthz (1.1.2-1) unstable; urgency=low

  * don't print passwords to log files

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 11:56:01 -0400

hubzero-trac-mysqlauthz (1.1.1-1) unstable; urgency=low

  * update copyrights for HUBzero Foundation, LLC. and Debian 6 packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 30 Aug 2012 17:33:52 -0400

hubzero-trac-mysqlauthz (1.1.0-1) unstable; urgency=low

  * fix lintian packaging errors

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2012 16:29:21 -0400

hubzero-trac-mysqlauthz (1.0.2-1) unstable; urgency=low

  * Updated control to indicate multiple python version support
  * Installs into pyshared, should work in Debian 6 now

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 06 Dec 2011 16:04:35 -0500

hubzero-trac-mysqlauthz (1.0.1-1) unstable; urgency=low

  * Switch to CDBS/pysupport debian packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 06 Dec 2011 10:50:36 -0500

hubzero-trac-mysqlauthz (1.0.0-1) testing; urgency=low

  * Updated to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 08 Apr 2011 00:24:59 -0400

hubzero-trac-mysqlauthz (0.9.1-1) testing; urgency=low

  * Nick updated copyright statements

 -- John Rosheck <jrosheck@purdue.edu>  Tue, 22 Mar 2011 00:23:52 -0400

hubzero-trac-mysqlauthz (0.9.0-1) testing; urgency=low

  * updated copyright file

 -- John Rosheck <jrosheck@purdue.edu>  Thu, 03 Mar 2011 23:20:53 -0500

hubzero-trac-mysqlauthz (0.8.3-1) unstable; urgency=low

  * Non-maintainer upload.
  * Updated to new version number to prevent conflict in repository

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 24 Sep 2010 16:16:59 -0400

hubzero-trac-mysqlauthz (0.8.2-1) stable; urgency=low

  * fix regex matching config params 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Apr 2010 15:22:48 -0400

hubzero-trac-mysqlauthz (0.8.1-1) stable; urgency=low

  * Fix plugin name

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Apr 2010 12:50:12 -0400

hubzero-trac-mysqlauthz (0.8.0-1) stable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 07 Apr 2010 16:50:44 -0400

=== debian/control ===
Source: hubzero-trac-mysqlauthz
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8),   , dh-python
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-trac-mysqlauthz
Architecture: all
Depends: python (>=2.6), trac (>= 0.11), hubzero-trac (>=1.2), hubzero-python, ${misc:Depends}, 
Description: HUBzero MySQL-based authorization plugin for Trac
 HUBzero MySQL-based authorization plugin for Trac project
 in a HUBzero instance.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-trac-mysqlauthz
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	#>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-trac-mysqlauthz COMPILE=--no-compile install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-trac-mysqlauthz 2.2.0

=== Makefile ===
# @package      hubzero-trac-mysqlauthz
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

all:
	@true

install:
	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb

uninstall:
	@true

postinst:
	@true

clean:
	rm -fr build
	rm -fr dist
	rm -fr HubzeroPlugin.egg-info 
	rm -fr hubzero_trac_mysqlauthz.egg-info
	rm -fr hubzeroplugin.egg-info

.PHONY: all install uninstall postinst clean

## hubzero-trac-mysqlauthz 2.2.2-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-trac-mysqlauthz
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 all:

=== debian/changelog ===
hubzero-trac-mysqlauthz (2.2.2-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 16:34:41 -0700

hubzero-trac-mysqlauthz (2.2.1-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 29 Apr 2020 08:52:17 -0700

hubzero-trac-mysqlauthz (2.2.0-5) unstable; urgency=low

  * remove trac from package dependency for redhat so trac10 can be used

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 31 Oct 2019 16:15:52 -0400

hubzero-trac-mysqlauthz (2.2.0-4) unstable; urgency=low

  * packaging update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 04 Apr 2018 10:23:05 -0400

hubzero-trac-mysqlauthz (2.1.0-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 04 Apr 2018 09:13:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
+
 Source: hubzero-trac-mysqlauthz
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8),   , dh-python
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
+Build-Depends: debhelper (>= 8.0.0),    , dh-python 
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-trac-mysqlauthz
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
